Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class MouseListenerAdapter

    java.lang.Object
      com.google.gwt.user.client.ui.MouseListenerAdapter

All Implemented Interfaces:
  MouseListener, java.util.EventListener

    public class MouseListenerAdapter

extends java.lang.Object
implements MouseListener

An adapter to simplify mouse event listeners that do not need all events defined on the MouseListener interface.

Constructor Summary
`MouseListenerAdapter()`

Method Summary
`void` | `onMouseDown(Widget sender, int x, int y)` Fired when the user depresses the mouse button over a widget.
`void` | `onMouseEnter(Widget sender)` Fired when the mouse enters a widget's area.
`void` | `onMouseLeave(Widget sender)` Fired when the mouse leaves a widget's area.
`void` | `onMouseMove(Widget sender, int x, int y)` Fired when the user moves the mouse over a widget.
`void` | `onMouseUp(Widget sender, int x, int y)` Fired when the user releases the mouse button over a widget.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MouseListenerAdapter

    public MouseListenerAdapter()

Method Detail

### onMouseDown

    public void onMouseDown(Widget sender,
                            int x,
                            int y)

  Description copied from interface: `MouseListener`
  Fired when the user depresses the mouse button over a widget.

  Specified by:
    `onMouseDown` in interface `MouseListener`
  Parameters:
    `sender` - the widget sending the event
    `x` - the x coordinate of the mouse
    `y` - the y coordinate of the mouse

### onMouseEnter

    public void onMouseEnter(Widget sender)

  Description copied from interface: `MouseListener`
  Fired when the mouse enters a widget's area.

  Specified by:
    `onMouseEnter` in interface `MouseListener`
  Parameters:
    `sender` - the widget sending the event

### onMouseLeave

    public void onMouseLeave(Widget sender)

  Description copied from interface: `MouseListener`
  Fired when the mouse leaves a widget's area.

  Specified by:
    `onMouseLeave` in interface `MouseListener`
  Parameters:
    `sender` - the widget sending the event

### onMouseMove

    public void onMouseMove(Widget sender,
                            int x,
                            int y)

  Description copied from interface: `MouseListener`
  Fired when the user moves the mouse over a widget.

  Specified by:
    `onMouseMove` in interface `MouseListener`
  Parameters:
    `sender` - the widget sending the event
    `x` - the x coordinate of the mouse
    `y` - the y coordinate of the mouse

### onMouseUp

    public void onMouseUp(Widget sender,
                          int x,
                          int y)

  Description copied from interface: `MouseListener`
  Fired when the user releases the mouse button over a widget.

  Specified by:
    `onMouseUp` in interface `MouseListener`
  Parameters:
    `sender` - the widget sending the event
    `x` - the x coordinate of the mouse
    `y` - the y coordinate of the mouse

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD